OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.WindowPos

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBWindowPos :: MonadIO m => m Bool
- gl_ARB_window_pos :: Bool
- glWindowPos2dARB :: MonadIO m => GLdouble -> GLdouble -> m ()
- glWindowPos2dvARB :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos2fARB :: MonadIO m => GLfloat -> GLfloat -> m ()
- glWindowPos2fvARB :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos2iARB :: MonadIO m => GLint -> GLint -> m ()
- glWindowPos2ivARB :: MonadIO m => Ptr GLint -> m ()
- glWindowPos2sARB :: MonadIO m => GLshort -> GLshort -> m ()
- glWindowPos2svARB :: MonadIO m => Ptr GLshort -> m ()
- glWindowPos3dARB :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glWindowPos3dvARB :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos3fARB :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glWindowPos3fvARB :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos3iARB :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glWindowPos3ivARB :: MonadIO m => Ptr GLint -> m ()
- glWindowPos3sARB :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glWindowPos3svARB :: MonadIO m => Ptr GLshort -> m ()

# Extension Support

glGetARBWindowPos :: MonadIO m => m Bool

Is the ARB_window_pos extension supported?

gl_ARB_window_pos :: Bool

Is the ARB_window_pos extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBWindowPos` in those cases instead.

# Functions

glWindowPos2dARB

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glWindowPos2dvARB`. This command is an alias for `glWindowPos2d`.

glWindowPos2dvARB

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

This command is an alias for `glWindowPos2dv`.

glWindowPos2fARB

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glWindowPos2fvARB`. This command is an alias for `glWindowPos2f`.

glWindowPos2fvARB

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

This command is an alias for `glWindowPos2fv`.

glWindowPos2iARB

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glWindowPos2ivARB`. This command is an alias for `glWindowPos2i`.

glWindowPos2ivARB

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

This command is an alias for `glWindowPos2iv`.

glWindowPos2sARB

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glWindowPos2svARB`. This command is an alias for `glWindowPos2s`.

glWindowPos2svARB

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

This command is an alias for `glWindowPos2sv`.

glWindowPos3dARB

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glWindowPos3dvARB`. This command is an alias for `glWindowPos3d`.

glWindowPos3dvARB

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

This command is an alias for `glWindowPos3dv`.

glWindowPos3fARB

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glWindowPos3fvARB`. This command is an alias for `glWindowPos3f`.

glWindowPos3fvARB

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

This command is an alias for `glWindowPos3fv`.

glWindowPos3iARB

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glWindowPos3ivARB`. This command is an alias for `glWindowPos3i`.

glWindowPos3ivARB

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

This command is an alias for `glWindowPos3iv`.

glWindowPos3sARB

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glWindowPos3svARB`. This command is an alias for `glWindowPos3s`.

glWindowPos3svARB

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

This command is an alias for `glWindowPos3sv`.